# $Revision: 1.20 $, $Date: 2009/10/16 07:20:54 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	Reform
Summary:	Text::Reform - manual text wrapping and reformating
Summary(pl.UTF-8):	Text::Reform - ręczne wcinanie i przeformatowywanie tekstu
Name:		perl-Text-Reform
Version:	1.20
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f37f5834f3dc221eacd09bdfcfe40918
URL:		http://search.cpan.org/dist/Text-Reform/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The module supplies a re-entrant, highly configurable replacement for
the built-in Perl format() mechanism.

%description -l pl.UTF-8
Moduł udostępnia umożliwiający zrównoleglanie, wysoce konfigurowalny
mechanizm zastępujący wbudowany mechanizm format() Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
find -type f | xargs perl -pi -e 's,/usr/local,/usr,g'
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Text/Reform.pm
%dir %{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-Reform.spec,v $
Revision 1.20  2009/10/16 07:20:54  amateja
- updated to 1.20

Revision 1.19  2008/07/27 22:49:06  arekm
- release 2

Revision 1.18  2008-01-09 20:59:40  qboosh
- generic URL, cleanup

Revision 1.17  2008-01-09 20:48:49  agaran
- now it's correct.

Revision 1.16  2008-01-09 20:44:59  agaran
- clean up unpackaged files warning

Revision 1.15  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.13  2004/11/03 22:30:50  paladine
- formatting

Revision 1.12  2004/05/06 18:43:23  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/27 15:26:28  ankry
- new bconds

Revision 1.10  2003/09/09 10:24:52  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:21  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/06/12 09:35:08  qboosh
- up to 1.11

Revision 1.7  2003/05/28 13:01:06  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:25:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/04/11 16:14:27  ankry
- rel. 2

Revision 1.3  2003/04/11 16:06:53  ankry
- should be ready for perl 5.8.0

Revision 1.2  2003/04/11 15:56:30  ankry
- fixed descriptions

Revision 1.1  2003/04/11 15:49:01  ankry
- new, for ra
